package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Ghd;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface GhdMapper {

    int insert(Ghd record);

    int insertSelective(Ghd record);

    int updateByPrimaryKeySelective(Ghd record);

    int updateByPrimaryKey(Ghd record);

    int deleteByPrimaryKey(Ghd record);

    int deleteByIds(Collection<Object> collection);

    Ghd selectByPrimaryKey(Ghd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ghd> dyncRead(Map<String, Object> dyncMap);

    Ghd selectGhdByObjinr(Ghd record);

    Ghd selectByOwnref(@Param("ownref") String ownref);
}